!*******************************************************************************
!$RCSfile$
!$Revision$
!$Date$
!*******************************************************************************
MODULE srfevap_fi

  USE struct_fd

! --- Local variables for SRF_EVAP routines

  SAVE

  INTEGER, PARAMETER :: MAXLEV_EVAP = 30

  REAL    xmap_evap, ymap_evap, ustr, ubsrf, vbsrf, tsrf, zisrf, hflxsrf, z0
  REAL    evap_min, del_evap, del_haz, facu_evap, facu_haz, dx_evap

  REAL    dfac, rhod, difd, cs, darea
  REAL    rate, rate_a, rate_d, rate_s

  INTEGER ityp_evap


  INTEGER, DIMENSION(0:MAXLEV_EVAP) :: lev_evap

  LOGICAL found_subcell, srf_met

  TYPE( liquid_material ) pmatl

END MODULE srfevap_fi

MODULE substrate_fi

! --- Surface absorption/desorption variables

  SAVE

  REAL tortuosity, porosity, grain_size
  REAL k_substrate

END MODULE substrate_fi

